.loader{

    position:fixed;
    inset:0;

    background:black;

    display:flex;
    justify-content:center;
    align-items:center;
    flex-direction:column;

    z-index:9999;

    transition:1.8s;

}

.loader.hide{

    opacity:0;
    visibility:hidden;

}

.loader-logo{

    width:180px;

    filter:invert(1);

    margin-bottom:40px;

    animation:floatLogo 4s ease infinite;

}

.loading-line{

    width:220px;
    height:1px;

    background:rgba(255,255,255,0.15);

    overflow:hidden;

    margin-bottom:25px;

}

.loading-progress{

    width:0%;
    height:100%;

    background:white;

    animation:loadingBar 2.8s ease forwards;

}

.loader-text{

    letter-spacing:6px;
    font-size:10px;

    opacity:0.5;

}

@keyframes loadingBar{

    from{
        width:0%;
    }

    to{
        width:100%;
    }

}

@keyframes floatLogo{

    0%{
        transform:translateY(0px);
    }

    50%{
        transform:translateY(-6px);
    }

    100%{
        transform:translateY(0px);
    }

}


.page-transition{

    position:fixed;
    inset:0;

    background:black;

    z-index:9998;

    opacity:0;
    pointer-events:none;

    transition:1.4s ease;

}

.page-transition.active{

    opacity:1;
    pointer-events:all;

}
.loader{
    position:fixed;
    inset:0;

    background:black;

    display:flex;
    flex-direction:column;
    justify-content:center;
    align-items:center;

    z-index:9999;

    animation:loaderFade 1.8s ease forwards;
    animation-delay:2.6s;
}

.loader-logo{
    width:140px;

    filter:invert(1);

    margin-bottom:30px;

    opacity:0;

    animation:logoAppear 1.6s ease forwards;
}

.loader-text{
    color:white;

    letter-spacing:6px;

    font-size:10px;

    opacity:0;

    animation:textAppear 1.8s ease forwards;
    animation-delay:0.6s;
}

@keyframes logoAppear{

    from{
        opacity:0;
        transform:translateY(15px);
    }

    to{
        opacity:1;
        transform:translateY(0px);
    }

}

@keyframes textAppear{

    from{
        opacity:0;
        transform:translateY(10px);
    }

    to{
        opacity:0.6;
        transform:translateY(0px);
    }

}

@keyframes loaderFade{

    to{
        opacity:0;
        visibility:hidden;
    }

}
*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

body{
    font-family:'Inter',sans-serif;
    background:black;
    color:white;

    overflow-x:hidden;
}

.bg-video{
    position:fixed;
    top:0;
    left:0;
    width:100%;
    height:100%;
    object-fit:cover;
    z-index:-3;
}

.overlay{
    position:fixed;
    inset:0;

    background:
    linear-gradient(
        to bottom,
        rgba(0,0,0,0.35),
        rgba(0,0,0,0.65)
    );

    z-index:-2;
}

header{
    position:fixed;

    top:0;
    left:0;

    width:100%;

    display:flex;
    justify-content:space-between;
    align-items:center;

    padding:35px 60px;

    z-index:100;
}

.brand{
    display:flex;
    align-items:center;
    gap:18px;
}

.logo{
    width:56px;
    height:auto;

    filter:invert(1);
}

.brand span{
    font-size:12px;
    letter-spacing:5px;
    font-weight:500;
    opacity:0.6;
}

nav{

    display:flex;

    align-items:center;

    gap:26px;

}

nav a{

    color:white;

    text-decoration:none;

    font-size:11px;

    letter-spacing:3px;

    opacity:0.7;

    transition:opacity 0.4s ease;

    padding:0 12px;

    white-space:nowrap;

}

nav a:hover{
    opacity:1;
}

.hero{
    width:100%;
    height:100vh;

    display:flex;
    align-items:center;

    padding-left:90px;
}

.hero-content{
    max-width:700px;
}

.small-text{
    font-size:11px;
    letter-spacing:5px;

    opacity:0.7;

    margin-bottom:25px;
}

h1{
    font-size:120px;
    line-height:0.9;

    font-weight:600;

    letter-spacing:-6px;

    opacity:0.60;
    margin-bottom:35px;
}

.description{
    width:500px;

    line-height:1.9;

    font-size:15px;

    opacity:0.75;

    margin-bottom:45px;
}

.enter-button{

    display:inline-block;

    text-decoration:none;

    background:transparent;
    color:white;

    border:1px solid rgba(255,255,255,0.25);

    padding:18px 42px;

    font-size:11px;
    letter-spacing:4px;

    transition:0.45s;
}

.enter-button:hover{

    background:white;
    color:black;

}
.dropdown{

    position:relative;

}

.dropdown-content{

    position:absolute;

    top:35px;
    left:0;

    background:rgba(0,0,0,0.32);

    border:1px solid rgba(255,255,255,0.06);

    backdrop-filter:blur(18px);

    backdrop-filter:blur(10px);

    padding:25px;

    min-width:200px;

    opacity:0;
    visibility:hidden;

    transform:translateY(10px);

    transition:0.45s;

}

.dropdown-content a{

    display:block;

    margin-bottom:18px;

}

.dropdown:hover .dropdown-content{

    opacity:1;
    visibility:visible;

    transform:translateY(0px);

}

.burger{

    display:none;

    position:fixed;

    top:25px;
    right:25px;

    flex-direction:column;

    gap:6px;

    cursor:pointer;

    z-index:3000;

}

.burger span{

    width:22px;

    height:2px;

    background:rgba(255,255,255,0.3);

    display:block;

}

.mobile-menu{

    position:fixed;

    inset:0;

    background:rgba(0,0,0,0.96);

    backdrop-filter:blur(20px);

    display:flex;

    flex-direction:column;

    justify-content:center;

    align-items:center;

    gap:35px;

    opacity:0;

    visibility:hidden;

    transition:0.5s;

    z-index:1500;

}

.mobile-menu.active{

    opacity:1;

    visibility:visible;

}

.mobile-menu a{

    color:white;

    text-decoration:none;

    font-size:14px;

    letter-spacing:6px;

    opacity:0.3;

    transition:0.3s;

}

.mobile-menu a:hover{

    opacity:0.8;

}


@media(max-width:900px){

    header{

        padding:25px;

    }

    nav{

        display:none;

    }

    .burger{

        display:flex;

    }

    .hero{

        padding:35px;

    }

    h1{

        font-size:62px;

        letter-spacing:-3px;

    }

    .description{

        width:100%;

    }

}

.product-page{

    min-height:100vh;

    background:black;
    color:white;

    display:grid;

    grid-template-columns:1.2fr 1fr;

    gap:80px;

    padding:140px 70px;

}

.product-image img{

    width:100%;

}

.product-details{

    display:flex;
    justify-content:center;
    flex-direction:column;

}

.product-season{

    letter-spacing:4px;

    opacity:0.5;

    margin-bottom:20px;

}

.product-details h1{

    font-size:90px;

    margin-bottom:30px;

}

.product-description-big{

    width:400px;

    line-height:1.8;

    opacity:0.7;

    margin-bottom:40px;

}

.product-price-big{

    font-size:28px;

}
.shop-title{

    position:fixed;

    top:35px;
    left:40px;

    font-size:14px;

    letter-spacing:6px;

    opacity:0.28;

    z-index:1000;
}
html{

    scroll-behavior:smooth;

}

.about-page{

    min-height:100vh;

    padding:180px 70px 120px;

    background:black;

    color:white;

}



.about-content{

    max-width:900px;

}



.about-small{

    font-size:11px;

    letter-spacing:5px;

    opacity:0.45;

    margin-bottom:35px;

}



.about-page h1{

    font-size:120px;

    line-height:0.88;

    letter-spacing:-6px;

    margin-bottom:60px;

    opacity:0.9;

}



.about-text{

    max-width:760px;

    line-height:2.1;

    opacity:0.72;

    font-size:15px;

    margin-bottom:100px;

}



.about-info{

    display:flex;

    gap:100px;

    flex-wrap:wrap;

}



.about-info span{

    font-size:11px;

    letter-spacing:4px;

    opacity:0.4;

    display:block;

    margin-bottom:14px;

}



.about-info p{

    font-size:15px;

    opacity:0.82;

}
.mobile-dropdown{
    display:flex;
    flex-direction:column;
    align-items:center;
}

.mobile-title{
    font-size:14px;
    letter-spacing:6px;
    opacity:0.45;
    cursor:pointer;
    margin-bottom:12px;
}

.mobile-content{
    display:flex;
    flex-direction:column;
    align-items:center;
    gap:12px;
}

.mobile-content a{
    font-size:11px;
    letter-spacing:4px;
    opacity:0.25;
}

.mobile-about{
    margin-top:20px;
}

.mobile-content{
    max-height:0;
    overflow:hidden;
    transition:0.4s ease;
}

.mobile-content.open{
    max-height:400px;
}

.coming-soon{

    min-height:100vh;

    display:flex;
    flex-direction:column;
    justify-content:center;

    padding:0 90px;

    max-width:900px;

}

.coming-small{

    font-size:11px;

    letter-spacing:5px;

    opacity:0.5;

    margin-bottom:25px;

}

.coming-soon h1{

    font-size:120px;

    line-height:0.9;

    letter-spacing:-6px;

    opacity:0.6;

    margin-bottom:40px;

}

.coming-description{

    max-width:650px;

    line-height:2;

    opacity:0.7;

    margin-bottom:50px;

}

@media(max-width:900px){

    .coming-soon{

        padding:35px;

    }

    .coming-soon h1{

        font-size:62px;

        letter-spacing:-3px;

    }

}